Add a new custom attribute
Add a new custom attribute to account
Authorization
userApiKey This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
The numeric ID of the account
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/accounts/0/custom_attribute_definitions" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"attribute_display_name": "string",
"attribute_display_type": "string",
"attribute_description": "string",
"attribute_key": "string",
"regex_pattern": "string",
"regex_cue": "string",
"attribute_values": "string",
"attribute_model": "string",
"default_value": "string",
"created_at": "string",
"updated_at": "string"
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}